### Method

# Gimp Image get_component_active

#### Declaration [src]

    gboolean
    gimp_image_get_component_active (
      GimpImage* image,
      GimpChannelType component
    )

#### Description [src]

Returns if the specified image’s image component is active.

This procedure returns if the specified image’s image component (i.e. Red, Green, Blue intensity channels in an RGB image) is active or inactive — whether or not it can be modified. If the specified component is not valid for the image type, an error is returned.

#### Parameters

`component`

  Type: `GimpChannelType`

  The image component.

#### Return value

Type: `gboolean`

Component is active.